Subject: Re: bug#55842: 29.0.50; Using shorthand syntax in keymap-global-set

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 09 Jun 2022 18:37:06 +0200

Eli Zaretskii <[email-masked]> writes:

> Without thinking about this too much, my opinion is that if the new
> APIs are to be the replacement for the obsolete ones, they had better
> supported the same syntax, because I don't believe there's a single
> Emacs user out there who doesn't have some key bindings in their init
> files.  If the syntax is incompatible, how can we ever convince the
> majority to switch?

I'm not sure what you mean here.  People that previously said
(local-set-key "\C-\M-i" ... ) can say (keymap-local-set "C-M-i" ...)
just fine.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no